diff --git a/library/x509_crt.c b/library/x509_crt.c
index af8f1d67fdb..b09a5be54e2 100644
--- a/library/x509_crt.c
+++ b/library/x509_crt.c
@@ -2023,7 +2023,7 @@ int mbedtls_x509_crt_parse_path( mbedtls_x509_crt *chain, const char *path )
             goto cleanup;
         }
 
-        if( !S_ISREG( sb.st_mode ) )
+        if( !( S_ISREG( sb.st_mode ) || S_ISLNK( sb.st_mode ) ) )
             continue;
 
         // Ignore parse errors
